/*
  latin3.c.  Produce a table of ISO Latin Alphabet 3.
  F. da Cruz, Columbia University, 1996.
*/
char *name[] = {
    "NO-BREAK SPACE",			/* 10/00 */
    "CAPITAL LETTER H WITH STROKE",
    "BREVE",
    "POUND SIGN",
    "CURRENCY SIGN",
    "(this position shall not be used)",
    "CAPITAL LETTER H WITH CIRCUMFLEX ACCENT",
    "PARAGRAPH SIGN",
    "DIAERESIS",
    "CAPITAL LETTER I WITH DOT ABOVE",
    "CAPITAL LETTER S WITH CEDILLA",
    "CAPITAL LETTER G WITH BREVE",
    "CAPITAL LETTER J WITH CIRCUMFLEX ACCENT",
    "SOFT HYPHEN",
    "(this position shall not be used)",
    "CAPITAL LETTER Z WITH DOT ABOVE",
    "DEGREE SIGN, RING ABOVE",		/* 11/00 */
    "SMALL LETTER h WITH STROKE",
    "SUPERSCRIPT TWO",
    "SUPERSCRIPT THREE",
    "ACUTE ACCENT",
    "MICRO SIGN",
    "SMALL LETTER h WITH CIRCUMFLEX ACCENT",
    "MIDDLE DOT",
    "CEDILLA",
    "SMALL LETTER i WITH DOT ABOVE",
    "SMALL LETTER s WITH CEDILLA",
    "SMALL LETTER g WITH BREVE",
    "SMALL LETTER j WITH CIRCUMFLEX ACCENT",
    "VULGAR FRACTION ONE HALF",
    "(this position shall not be used)",
    "SMALL LETTER z WITH DOT ABOVE",
    "CAPITAL LETTER A WITH GRAVE ACCENT", /* 12/00 */
    "CAPITAL LETTER A WITH ACUTE ACCENT",
    "CAPITAL LETTER A WITH CIRCUMFLEX ACCENT",
    "(this position shall not be used)",
    "CAPITAL LETTER A WITH DIAERESIS",
    "CAPITAL LETTER C WITH DOT ABOVE",
    "CAPITAL LETTER C WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER C WITH CEDILLA",
    "CAPITAL LETTER E WITH GRAVE ACCENT",
    "CAPITAL LETTER E WITH ACUTE ACCENT",
    "CAPITAL LETTER E WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER E WITH DIAERESIS",
    "CAPITAL LETTER I WITH GRAVE ACCENT",
    "CAPITAL LETTER I WITH ACUTE ACCENT",
    "CAPITAL LETTER I WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER I WITH DIAERESIS", 
    "(this position shall not be used)", /* 13/00 */
    "CAPITAL LETTER N WITH TILDE", 
    "CAPITAL LETTER O WITH GRAVE ACCENT",
    "CAPITAL LETTER O WITH ACUTE ACCENT",
    "CAPITAL LETTER O WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER G WITH DOT ABOVE",
    "CAPITAL LETTER O WITH DIAERESIS", 
    "MULTIPLICATION SIGN",
    "CAPITAL LETTER G WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER U WITH GRAVE ACCENT",
    "CAPITAL LETTER U WITH ACUTE ACCENT",
    "CAPITAL LETTER U WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER U WITH DIAERESIS", 
    "CAPITAL LETTER U WITH BREVE", 
    "CAPITAL LETTER S WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER GERMAN SHARP S",
    "SMALL LETTER a WITH GRAVE ACCENT",	/* 14/00 */
    "SMALL LETTER a WITH ACUTE ACCENT",
    "SMALL LETTER a WITH CIRCUMFLEX ACCENT",
    "(this position shall not be used)",
    "SMALL LETTER a WITH DIAERESIS",
    "SMALL LETTER c WITH DOT ABOVE",
    "SMALL LETTER c WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER c WITH CEDILLA",
    "SMALL LETTER e WITH GRAVE ACCENT",
    "SMALL LETTER e WITH ACUTE ACCENT",
    "SMALL LETTER e WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER e WITH DIAERESIS",
    "SMALL LETTER i WITH GRAVE ACCENT",
    "SMALL LETTER i WITH ACUTE ACCENT",
    "SMALL LETTER i WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER i WITH DIAERESIS",
    "(this position shall not be used)", /* 15/00 */
    "SMALL LETTER n WITH TILDE",
    "SMALL LETTER o WITH GRAVE ACCENT",
    "SMALL LETTER o WITH ACUTE ACCENT",
    "SMALL LETTER o WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER g WITH DOT ABOVE",
    "SMALL LETTER o WITH DIAERESIS", 
    "DIVISION SIGN",
    "SMALL LETTER g WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER u WITH GRAVE ACCENT",
    "SMALL LETTER u WITH ACUTE ACCENT",
    "SMALL LETTER u WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER u WITH DIAERESIS", 
    "SMALL LETTER u WITH BREVE", 
    "SMALL LETTER s WITH CIRCUMFLEX ACCENT",
    "DOT ABOVE"
};

main() {
    int i, j;
    printf("ISO 8859-3 Latin Alphabet 3\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
